import allPages from ":virtual/vitebook/pages";
import { derived, writable } from "./store";
const store = writable(allPages);
if (import.meta.hot) {
  import.meta.hot.accept("/:virtual/vitebook/pages", (mod) => {
    store.set(mod?.default ?? []);
  });
}
const pages = {
  subscribe(fn) {
    return derived(store, ($pages) => initURLPattern($pages)).subscribe(fn);
  }
};
function initURLPattern(pages2) {
  if (pages2[0]?.route.pattern)
    return pages2;
  for (const page of pages2) {
    page.route.pattern = new URLPattern({ pathname: page.route.pathname });
  }
  return pages2;
}
export {
  pages
};
